### Hierarchy

- HTMLElement
  - BaseWebComponent

### Implements

- IWebComponent

## Index

### Constructors

- constructor

### Properties

- _template
- currentState
- data
- dataJson
- el
- htmlTemplate
- imports
- root
- sharedState
- state
- styles
- ATTRIBUTE_NODE
- CDATA_SECTION_NODE
- COMMENT_NODE
- DOCUMENT_FRAGMENT_NODE
- DOCUMENT_NODE
- DOCUMENT_POSITION_CONTAINED_BY
- DOCUMENT_POSITION_CONTAINS
- DOCUMENT_POSITION_DISCONNECTED
- DOCUMENT_POSITION_FOLLOWING
- DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC
- DOCUMENT_POSITION_PRECEDING
- DOCUMENT_TYPE_NODE
- ELEMENT_NODE
- ENTITY_NODE
- ENTITY_REFERENCE_NODE
- HTMLElement
- NOTATION_NODE
- PROCESSING_INSTRUCTION_NODE
- TEXT_NODE
- accessKey
- assignedSlot
- attributes
- baseURI
- childElementCount
- childNodes
- children
- classList
- className
- clientHeight
- clientLeft
- clientTop
- clientWidth
- contentEditable
- dataset
- dir
- draggable
- firstChild
- firstElementChild
- hidden
- hideFocus
- id
- innerHTML
- innerText
- isContentEditable
- lang
- lastChild
- lastElementChild
- localName
- msContentZoomFactor
- msRegionOverflow
- namespaceURI
- nextElementSibling
- nextSibling
- nodeName
- nodeType
- nodeValue
- offsetHeight
- offsetLeft
- offsetParent
- offsetTop
- offsetWidth
- onabort
- onactivate
- onariarequest
- onbeforeactivate
- onbeforecopy
- onbeforecut
- onbeforedeactivate
- onbeforepaste
- onblur
- oncanplay
- oncanplaythrough
- onchange
- onclick
- oncommand
- oncontextmenu
- oncopy
- oncuechange
- oncut
- ondblclick
- ondeactivate
- ondrag
- ondragend
- ondragenter
- ondragleave
- ondragover
- ondragstart
- ondrop
- ondurationchange
- onemptied
- onended
- onerror
- onfocus
- ongotpointercapture
- oninput
- oninvalid
- onkeydown
- onkeypress
- onkeyup
- onload
- onloadeddata
- onloadedmetadata
- onloadstart
- onlostpointercapture
- onmousedown
- onmouseenter
- onmouseleave
- onmousemove
- onmouseout
- onmouseover
- onmouseup
- onmousewheel
- onmscontentzoom
- onmsgesturechange
- onmsgesturedoubletap
- onmsgestureend
- onmsgesturehold
- onmsgesturestart
- onmsgesturetap
- onmsgotpointercapture
- onmsinertiastart
- onmslostpointercapture
- onmsmanipulationstatechanged
- onmspointercancel
- onmspointerdown
- onmspointerenter
- onmspointerleave
- onmspointermove
- onmspointerout
- onmspointerover
- onmspointerup
- onpaste
- onpause
- onplay
- onplaying
- onpointercancel
- onpointerdown
- onpointerenter
- onpointerleave
- onpointermove
- onpointerout
- onpointerover
- onpointerup
- onprogress
- onratechange
- onreset
- onscroll
- onseeked
- onseeking
- onselect
- onselectstart
- onstalled
- onsubmit
- onsuspend
- ontimeupdate
- ontouchcancel
- ontouchend
- ontouchmove
- ontouchstart
- onvolumechange
- onwaiting
- onwebkitfullscreenchange
- onwebkitfullscreenerror
- onwheel
- outerHTML
- outerText
- ownerDocument
- parentElement
- parentNode
- prefix
- previousElementSibling
- previousSibling
- scrollHeight
- scrollLeft
- scrollTop
- scrollWidth
- shadowRoot
- slot
- spellcheck
- style
- tabIndex
- tagName
- textContent
- title

### Accessors

- template

### Methods

- attributeChangedCallback
- connectedCallback
- declareProp
- definePublicMethods
- dispatch
- getData
- getState
- init
- isJson
- kebabToLowerCamelCase
- preRender
- remove
- removeState
- render
- setData
- setState
- addEventListener
- appendChild
- attachShadow
- blur
- click
- cloneNode
- closest
- compareDocumentPosition
- contains
- dispatchEvent
- dragDrop
- focus
- getAttribute
- getAttributeNS
- getAttributeNode
- getAttributeNodeNS
- getBoundingClientRect
- getClientRects
- getElementsByClassName
- getElementsByTagName
- getElementsByTagNameNS
- hasAttribute
- hasAttributeNS
- hasAttributes
- hasChildNodes
- insertAdjacentElement
- insertAdjacentHTML
- insertAdjacentText
- insertBefore
- isDefaultNamespace
- isEqualNode
- isSameNode
- lookupNamespaceURI
- lookupPrefix
- matches
- msGetInputContext
- msGetRegionContent
- msGetUntransformedBounds
- msMatchesSelector
- msReleasePointerCapture
- msSetPointerCapture
- msZoomTo
- normalize
- querySelector
- querySelectorAll
- releasePointerCapture
- remove
- removeAttribute
- removeAttributeNS
- removeAttributeNode
- removeChild
- removeEventListener
- replaceChild
- requestFullscreen
- requestPointerLock
- scroll
- scrollBy
- scrollIntoView
- scrollTo
- setAttribute
- setAttributeNS
- setAttributeNode
- setAttributeNodeNS
- setPointerCapture
- webkitMatchesSelector
- webkitRequestFullScreen
- webkitRequestFullscreen

## Constructors

### constructor

- new BaseWebComponent(): BaseWebComponent

- - Defined in base/base-web-component.ts:25

  #### Returns BaseWebComponent

## Properties

### _template

_template: any

- Defined in base/base-web-component.ts:25

### currentState

currentState: any

- Defined in base/base-web-component.ts:23

### data

data: any

- Defined in base/base-web-component.ts:15

### dataJson

dataJson: any

- Defined in base/base-web-component.ts:22

### el

el: HTMLElement

- Defined in base/base-web-component.ts:16

### htmlTemplate

htmlTemplate: any

- Defined in base/base-web-component.ts:17

### imports

imports: string

- Defined in base/base-web-component.ts:18

### root

root: any

- Defined in base/base-web-component.ts:19

### sharedState

sharedState: any

- Defined in base/base-web-component.ts:21

### state

state: any

- Defined in base/base-web-component.ts:20

### styles

styles: string

- Defined in base/base-web-component.ts:24

### Static ATTRIBUTE_NODE

ATTRIBUTE_NODE: number

Inherited from Node.ATTRIBUTE_NODE

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8479

### Static CDATA_SECTION_NODE

CDATA_SECTION_NODE: number

Inherited from Node.CDATA_SECTION_NODE

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8480

### Static COMMENT_NODE

COMMENT_NODE: number

Inherited from Node.COMMENT_NODE

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8481

### Static DOCUMENT_FRAGMENT_NODE

DOCUMENT_FRAGMENT_NODE: number

Inherited from Node.DOCUMENT_FRAGMENT_NODE

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8482

### Static DOCUMENT_NODE

DOCUMENT_NODE: number

Inherited from Node.DOCUMENT_NODE

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8483

### Static DOCUMENT_POSITION_CONTAINED_BY

DOCUMENT_POSITION_CONTAINED_BY: number

Inherited from Node.DOCUMENT_POSITION_CONTAINED_BY

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8484

### Static DOCUMENT_POSITION_CONTAINS

DOCUMENT_POSITION_CONTAINS: number

Inherited from Node.DOCUMENT_POSITION_CONTAINS

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8485

### Static DOCUMENT_POSITION_DISCONNECTED

DOCUMENT_POSITION_DISCONNECTED: number

Inherited from Node.DOCUMENT_POSITION_DISCONNECTED

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8486

### Static DOCUMENT_POSITION_FOLLOWING

DOCUMENT_POSITION_FOLLOWING: number

Inherited from Node.DOCUMENT_POSITION_FOLLOWING

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8487

### Static DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number

Inherited from Node.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8488

### Static DOCUMENT_POSITION_PRECEDING

DOCUMENT_POSITION_PRECEDING: number

Inherited from Node.DOCUMENT_POSITION_PRECEDING

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8489

### Static DOCUMENT_TYPE_NODE

DOCUMENT_TYPE_NODE: number

Inherited from Node.DOCUMENT_TYPE_NODE

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8490

### Static ELEMENT_NODE

ELEMENT_NODE: number

Inherited from Node.ELEMENT_NODE

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8491

### Static ENTITY_NODE

ENTITY_NODE: number

Inherited from Node.ENTITY_NODE

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8492

### Static ENTITY_REFERENCE_NODE

ENTITY_REFERENCE_NODE: number

Inherited from Node.ENTITY_REFERENCE_NODE

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8493

### Static HTMLElement

HTMLElement: object

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4723

#### Type declaration

### Static NOTATION_NODE

NOTATION_NODE: number

Inherited from Node.NOTATION_NODE

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8494

### Static PROCESSING_INSTRUCTION_NODE

PROCESSING_INSTRUCTION_NODE: number

Inherited from Node.PROCESSING_INSTRUCTION_NODE

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8495

### Static TEXT_NODE

TEXT_NODE: number

Inherited from Node.TEXT_NODE

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8496

### Static accessKey

accessKey: string

Inherited from HTMLElement.accessKey

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4624

### Static assignedSlot

assignedSlot: HTMLSlotElement | null

Inherited from Element.assignedSlot

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3616

### Static attributes

attributes: NamedNodeMap

Inherited from Node.attributes

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8448

### Static baseURI

baseURI: string | null

Inherited from Node.baseURI

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8449

### Static childElementCount

childElementCount: number

Inherited from ElementTraversal.childElementCount

Overrides ParentNode.childElementCount

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14020

### Static childNodes

childNodes: NodeList

Inherited from Node.childNodes

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8450

### Static children

children: HTMLCollection

Inherited from HTMLElement.children

Overrides ParentNode.children

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4625

### Static classList

classList: DOMTokenList

Inherited from Element.classList

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3572

### Static className

className: string

Inherited from Element.className

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3573

### Static clientHeight

clientHeight: number

Inherited from Element.clientHeight

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3574

### Static clientLeft

clientLeft: number

Inherited from Element.clientLeft

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3575

### Static clientTop

clientTop: number

Inherited from Element.clientTop

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3576

### Static clientWidth

clientWidth: number

Inherited from Element.clientWidth

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3577

### Static contentEditable

contentEditable: string

Inherited from HTMLElement.contentEditable

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4626

### Static dataset

dataset: DOMStringMap

Inherited from HTMLElement.dataset

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4627

### Static dir

dir: string

Inherited from HTMLElement.dir

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4628

### Static draggable

draggable: boolean

Inherited from HTMLElement.draggable

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4629

### Static firstChild

firstChild: Node | null

Inherited from Node.firstChild

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8451

### Static firstElementChild

firstElementChild: Element | null

Inherited from ElementTraversal.firstElementChild

Overrides ParentNode.firstElementChild

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14021

### Static hidden

hidden: boolean

Inherited from HTMLElement.hidden

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4630

### Static hideFocus

hideFocus: boolean

Inherited from HTMLElement.hideFocus

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4631

### Static id

id: string

Inherited from Element.id

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3578

### Static innerHTML

innerHTML: string

Inherited from Element.innerHTML

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3579

### Static innerText

innerText: string

Inherited from HTMLElement.innerText

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4632

### Static isContentEditable

isContentEditable: boolean

Inherited from HTMLElement.isContentEditable

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4633

### Static lang

lang: string

Inherited from HTMLElement.lang

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4634

### Static lastChild

lastChild: Node | null

Inherited from Node.lastChild

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8452

### Static lastElementChild

lastElementChild: Element | null

Inherited from ElementTraversal.lastElementChild

Overrides ParentNode.lastElementChild

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14022

### Static localName

localName: string | null

Inherited from Node.localName

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8453

### Static msContentZoomFactor

msContentZoomFactor: number

Inherited from Element.msContentZoomFactor

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3580

### Static msRegionOverflow

msRegionOverflow: string

Inherited from Element.msRegionOverflow

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3581

### Static namespaceURI

namespaceURI: string | null

Inherited from Node.namespaceURI

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8454

### Static nextElementSibling

nextElementSibling: Element | null

Inherited from ElementTraversal.nextElementSibling

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14023

### Static nextSibling

nextSibling: Node | null

Inherited from Node.nextSibling

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8455

### Static nodeName

nodeName: string

Inherited from Node.nodeName

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8456

### Static nodeType

nodeType: number

Inherited from Node.nodeType

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8457

### Static nodeValue

nodeValue: string | null

Inherited from Node.nodeValue

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8458

### Static offsetHeight

offsetHeight: number

Inherited from HTMLElement.offsetHeight

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4635

### Static offsetLeft

offsetLeft: number

Inherited from HTMLElement.offsetLeft

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4636

### Static offsetParent

offsetParent: Element

Inherited from HTMLElement.offsetParent

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4637

### Static offsetTop

offsetTop: number

Inherited from HTMLElement.offsetTop

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4638

### Static offsetWidth

offsetWidth: number

Inherited from HTMLElement.offsetWidth

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4639

### Static onabort

onabort: function

Inherited from HTMLElement.onabort

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4640

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onactivate

onactivate: function

Inherited from HTMLElement.onactivate

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4641

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onariarequest

onariarequest: function

Inherited from Element.onariarequest

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3582

#### Type declaration

- - (this: Element, ev: Event): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: Event

    #### Returns any

### Static onbeforeactivate

onbeforeactivate: function

Inherited from HTMLElement.onbeforeactivate

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4642

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onbeforecopy

onbeforecopy: function

Inherited from HTMLElement.onbeforecopy

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4643

#### Type declaration

- - (this: HTMLElement, ev: ClipboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ClipboardEvent

    #### Returns any

### Static onbeforecut

onbeforecut: function

Inherited from HTMLElement.onbeforecut

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4644

#### Type declaration

- - (this: HTMLElement, ev: ClipboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ClipboardEvent

    #### Returns any

### Static onbeforedeactivate

onbeforedeactivate: function

Inherited from HTMLElement.onbeforedeactivate

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4645

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onbeforepaste

onbeforepaste: function

Inherited from HTMLElement.onbeforepaste

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4646

#### Type declaration

- - (this: HTMLElement, ev: ClipboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ClipboardEvent

    #### Returns any

### Static onblur

onblur: function

Inherited from HTMLElement.onblur

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4647

#### Type declaration

- - (this: HTMLElement, ev: FocusEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: FocusEvent

    #### Returns any

### Static oncanplay

oncanplay: function

Inherited from HTMLElement.oncanplay

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4648

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static oncanplaythrough

oncanplaythrough: function

Inherited from HTMLElement.oncanplaythrough

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4649

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onchange

onchange: function

Inherited from HTMLElement.onchange

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4650

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onclick

onclick: function

Inherited from HTMLElement.onclick

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4651

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static oncommand

oncommand: function

Inherited from Element.oncommand

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3583

#### Type declaration

- - (this: Element, ev: Event): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: Event

    #### Returns any

### Static oncontextmenu

oncontextmenu: function

Inherited from HTMLElement.oncontextmenu

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4652

#### Type declaration

- - (this: HTMLElement, ev: PointerEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: PointerEvent

    #### Returns any

### Static oncopy

oncopy: function

Inherited from HTMLElement.oncopy

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4653

#### Type declaration

- - (this: HTMLElement, ev: ClipboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ClipboardEvent

    #### Returns any

### Static oncuechange

oncuechange: function

Inherited from HTMLElement.oncuechange

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4654

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static oncut

oncut: function

Inherited from HTMLElement.oncut

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4655

#### Type declaration

- - (this: HTMLElement, ev: ClipboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ClipboardEvent

    #### Returns any

### Static ondblclick

ondblclick: function

Inherited from HTMLElement.ondblclick

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4656

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static ondeactivate

ondeactivate: function

Inherited from HTMLElement.ondeactivate

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4657

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static ondrag

ondrag: function

Inherited from HTMLElement.ondrag

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4658

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondragend

ondragend: function

Inherited from HTMLElement.ondragend

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4659

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondragenter

ondragenter: function

Inherited from HTMLElement.ondragenter

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4660

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondragleave

ondragleave: function

Inherited from HTMLElement.ondragleave

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4661

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondragover

ondragover: function

Inherited from HTMLElement.ondragover

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4662

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondragstart

ondragstart: function

Inherited from HTMLElement.ondragstart

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4663

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondrop

ondrop: function

Inherited from HTMLElement.ondrop

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4664

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondurationchange

ondurationchange: function

Inherited from HTMLElement.ondurationchange

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4665

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onemptied

onemptied: function

Inherited from HTMLElement.onemptied

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4666

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onended

onended: function

Inherited from HTMLElement.onended

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4667

#### Type declaration

- - (this: HTMLElement, ev: MediaStreamErrorEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MediaStreamErrorEvent

    #### Returns any

### Static onerror

onerror: function

Inherited from HTMLElement.onerror

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4668

#### Type declaration

- - (this: HTMLElement, ev: ErrorEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ErrorEvent

    #### Returns any

### Static onfocus

onfocus: function

Inherited from HTMLElement.onfocus

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4669

#### Type declaration

- - (this: HTMLElement, ev: FocusEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: FocusEvent

    #### Returns any

### Static ongotpointercapture

ongotpointercapture: function

Inherited from Element.ongotpointercapture

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3584

#### Type declaration

- - (this: Element, ev: PointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: PointerEvent

    #### Returns any

### Static oninput

oninput: function

Inherited from HTMLElement.oninput

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4670

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static oninvalid

oninvalid: function

Inherited from HTMLElement.oninvalid

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4671

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onkeydown

onkeydown: function

Inherited from HTMLElement.onkeydown

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4672

#### Type declaration

- - (this: HTMLElement, ev: KeyboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: KeyboardEvent

    #### Returns any

### Static onkeypress

onkeypress: function

Inherited from HTMLElement.onkeypress

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4673

#### Type declaration

- - (this: HTMLElement, ev: KeyboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: KeyboardEvent

    #### Returns any

### Static onkeyup

onkeyup: function

Inherited from HTMLElement.onkeyup

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4674

#### Type declaration

- - (this: HTMLElement, ev: KeyboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: KeyboardEvent

    #### Returns any

### Static onload

onload: function

Inherited from HTMLElement.onload

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4675

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onloadeddata

onloadeddata: function

Inherited from HTMLElement.onloadeddata

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4676

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onloadedmetadata

onloadedmetadata: function

Inherited from HTMLElement.onloadedmetadata

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4677

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onloadstart

onloadstart: function

Inherited from HTMLElement.onloadstart

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4678

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onlostpointercapture

onlostpointercapture: function

Inherited from Element.onlostpointercapture

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3585

#### Type declaration

- - (this: Element, ev: PointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: PointerEvent

    #### Returns any

### Static onmousedown

onmousedown: function

Inherited from HTMLElement.onmousedown

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4679

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmouseenter

onmouseenter: function

Inherited from HTMLElement.onmouseenter

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4680

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmouseleave

onmouseleave: function

Inherited from HTMLElement.onmouseleave

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4681

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmousemove

onmousemove: function

Inherited from HTMLElement.onmousemove

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4682

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmouseout

onmouseout: function

Inherited from HTMLElement.onmouseout

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4683

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmouseover

onmouseover: function

Inherited from HTMLElement.onmouseover

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4684

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmouseup

onmouseup: function

Inherited from HTMLElement.onmouseup

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4685

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmousewheel

onmousewheel: function

Inherited from HTMLElement.onmousewheel

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4686

#### Type declaration

- - (this: HTMLElement, ev: WheelEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: WheelEvent

    #### Returns any

### Static onmscontentzoom

onmscontentzoom: function

Inherited from HTMLElement.onmscontentzoom

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4687

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onmsgesturechange

onmsgesturechange: function

Inherited from Element.onmsgesturechange

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3586

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmsgesturedoubletap

onmsgesturedoubletap: function

Inherited from Element.onmsgesturedoubletap

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3587

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmsgestureend

onmsgestureend: function

Inherited from Element.onmsgestureend

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3588

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmsgesturehold

onmsgesturehold: function

Inherited from Element.onmsgesturehold

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3589

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmsgesturestart

onmsgesturestart: function

Inherited from Element.onmsgesturestart

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3590

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmsgesturetap

onmsgesturetap: function

Inherited from Element.onmsgesturetap

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3591

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmsgotpointercapture

onmsgotpointercapture: function

Inherited from Element.onmsgotpointercapture

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3592

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmsinertiastart

onmsinertiastart: function

Inherited from Element.onmsinertiastart

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3593

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmslostpointercapture

onmslostpointercapture: function

Inherited from Element.onmslostpointercapture

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3594

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmsmanipulationstatechanged

onmsmanipulationstatechanged: function

Inherited from HTMLElement.onmsmanipulationstatechanged

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4688

#### Type declaration

- - (this: HTMLElement, ev: MSManipulationEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MSManipulationEvent

    #### Returns any

### Static onmspointercancel

onmspointercancel: function

Inherited from Element.onmspointercancel

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3595

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointerdown

onmspointerdown: function

Inherited from Element.onmspointerdown

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3596

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointerenter

onmspointerenter: function

Inherited from Element.onmspointerenter

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3597

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointerleave

onmspointerleave: function

Inherited from Element.onmspointerleave

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3598

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointermove

onmspointermove: function

Inherited from Element.onmspointermove

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3599

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointerout

onmspointerout: function

Inherited from Element.onmspointerout

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3600

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointerover

onmspointerover: function

Inherited from Element.onmspointerover

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3601

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointerup

onmspointerup: function

Inherited from Element.onmspointerup

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3602

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onpaste

onpaste: function

Inherited from HTMLElement.onpaste

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4689

#### Type declaration

- - (this: HTMLElement, ev: ClipboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ClipboardEvent

    #### Returns any

### Static onpause

onpause: function

Inherited from HTMLElement.onpause

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4690

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onplay

onplay: function

Inherited from HTMLElement.onplay

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4691

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onplaying

onplaying: function

Inherited from HTMLElement.onplaying

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4692

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onpointercancel

onpointercancel: function

Inherited from GlobalEventHandlers.onpointercancel

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14044

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointerdown

onpointerdown: function

Inherited from GlobalEventHandlers.onpointerdown

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14045

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointerenter

onpointerenter: function

Inherited from GlobalEventHandlers.onpointerenter

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14046

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointerleave

onpointerleave: function

Inherited from GlobalEventHandlers.onpointerleave

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14047

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointermove

onpointermove: function

Inherited from GlobalEventHandlers.onpointermove

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14048

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointerout

onpointerout: function

Inherited from GlobalEventHandlers.onpointerout

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14049

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointerover

onpointerover: function

Inherited from GlobalEventHandlers.onpointerover

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14050

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointerup

onpointerup: function

Inherited from GlobalEventHandlers.onpointerup

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14051

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onprogress

onprogress: function

Inherited from HTMLElement.onprogress

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4693

#### Type declaration

- - (this: HTMLElement, ev: ProgressEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ProgressEvent

    #### Returns any

### Static onratechange

onratechange: function

Inherited from HTMLElement.onratechange

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4694

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onreset

onreset: function

Inherited from HTMLElement.onreset

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4695

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onscroll

onscroll: function

Inherited from HTMLElement.onscroll

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4696

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onseeked

onseeked: function

Inherited from HTMLElement.onseeked

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4697

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onseeking

onseeking: function

Inherited from HTMLElement.onseeking

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4698

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onselect

onselect: function

Inherited from HTMLElement.onselect

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4699

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onselectstart

onselectstart: function

Inherited from HTMLElement.onselectstart

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4700

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onstalled

onstalled: function

Inherited from HTMLElement.onstalled

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4701

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onsubmit

onsubmit: function

Inherited from HTMLElement.onsubmit

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4702

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onsuspend

onsuspend: function

Inherited from HTMLElement.onsuspend

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4703

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static ontimeupdate

ontimeupdate: function

Inherited from HTMLElement.ontimeupdate

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4704

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static ontouchcancel

ontouchcancel: function

Inherited from Element.ontouchcancel

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3603

#### Type declaration

- - (ev: TouchEvent): any

  - #### Parameters

    - ##### ev: TouchEvent

    #### Returns any

### Static ontouchend

ontouchend: function

Inherited from Element.ontouchend

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3604

#### Type declaration

- - (ev: TouchEvent): any

  - #### Parameters

    - ##### ev: TouchEvent

    #### Returns any

### Static ontouchmove

ontouchmove: function

Inherited from Element.ontouchmove

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3605

#### Type declaration

- - (ev: TouchEvent): any

  - #### Parameters

    - ##### ev: TouchEvent

    #### Returns any

### Static ontouchstart

ontouchstart: function

Inherited from Element.ontouchstart

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3606

#### Type declaration

- - (ev: TouchEvent): any

  - #### Parameters

    - ##### ev: TouchEvent

    #### Returns any

### Static onvolumechange

onvolumechange: function

Inherited from HTMLElement.onvolumechange

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4705

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onwaiting

onwaiting: function

Inherited from HTMLElement.onwaiting

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4706

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onwebkitfullscreenchange

onwebkitfullscreenchange: function

Inherited from Element.onwebkitfullscreenchange

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3607

#### Type declaration

- - (this: Element, ev: Event): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: Event

    #### Returns any

### Static onwebkitfullscreenerror

onwebkitfullscreenerror: function

Inherited from Element.onwebkitfullscreenerror

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3608

#### Type declaration

- - (this: Element, ev: Event): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: Event

    #### Returns any

### Static onwheel

onwheel: function

Inherited from GlobalEventHandlers.onwheel

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14052

#### Type declaration

- - (this: GlobalEventHandlers, ev: WheelEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: WheelEvent

    #### Returns any

### Static outerHTML

outerHTML: string

Inherited from Element.outerHTML

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3609

### Static outerText

outerText: string

Inherited from HTMLElement.outerText

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4707

### Static ownerDocument

ownerDocument: Document

Inherited from Node.ownerDocument

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8459

### Static parentElement

parentElement: HTMLElement | null

Inherited from Node.parentElement

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8460

### Static parentNode

parentNode: Node | null

Inherited from Node.parentNode

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8461

### Static prefix

prefix: string | null

Inherited from Element.prefix

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3610

### Static previousElementSibling

previousElementSibling: Element | null

Inherited from ElementTraversal.previousElementSibling

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14024

### Static previousSibling

previousSibling: Node | null

Inherited from Node.previousSibling

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8462

### Static scrollHeight

scrollHeight: number

Inherited from Element.scrollHeight

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3611

### Static scrollLeft

scrollLeft: number

Inherited from Element.scrollLeft

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3612

### Static scrollTop

scrollTop: number

Inherited from Element.scrollTop

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3613

### Static scrollWidth

scrollWidth: number

Inherited from Element.scrollWidth

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3614

### Static shadowRoot

shadowRoot: ShadowRoot | null

Inherited from Element.shadowRoot

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3618

### Static slot

slot: string

Inherited from Element.slot

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3617

### Static spellcheck

spellcheck: boolean

Inherited from HTMLElement.spellcheck

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4708

### Static style

style: CSSStyleDeclaration

Inherited from HTMLElement.style

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4709

### Static tabIndex

tabIndex: number

Inherited from HTMLElement.tabIndex

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4710

### Static tagName

tagName: string

Inherited from Element.tagName

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3615

### Static textContent

textContent: string | null

Inherited from Node.textContent

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8463

### Static title

title: string

Inherited from HTMLElement.title

- Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4711

## Accessors

### template

- get template(): any

- - Defined in base/base-web-component.ts:71

  #### Returns any

## Methods

### attributeChangedCallback

- attributeChangedCallback(name: any, oldVal: any, newVal: any): void

- - Defined in base/base-web-component.ts:35

  #### Parameters

  - ##### name: any

  - ##### oldVal: any

  - ##### newVal: any

  #### Returns void

### connectedCallback

- connectedCallback(): void

- - Defined in base/base-web-component.ts:37

  #### Returns void

### declareProp

- declareProp(propName: any, getFn: any, setFn: any): void

- - Defined in base/base-web-component.ts:92

  #### Parameters

  - ##### propName: any

  - ##### getFn: any

  - ##### setFn: any

  #### Returns void

### definePublicMethods

- definePublicMethods(): void

- - Defined in base/base-web-component.ts:33

  #### Returns void

### dispatch

- dispatch(eventName: any, detail: any): void

- - Defined in base/base-web-component.ts:146

  #### Parameters

  - ##### eventName: any

  - ##### detail: any

  #### Returns void

### getData

- getData(): any

- - Defined in base/base-web-component.ts:192

  #### Returns any

### getState

- getState(key: any): any

- - Defined in base/base-web-component.ts:162

  #### Parameters

  - ##### key: any

  #### Returns any

### init

- init(): Promise<void>

- - Defined in base/base-web-component.ts:31

  #### Returns Promise<void>

### isJson

- isJson(jsonString: any): any

- - Defined in base/base-web-component.ts:203

  #### Parameters

  - ##### jsonString: any

  #### Returns any

### kebabToLowerCamelCase

- kebabToLowerCamelCase(str: any): any

- - Defined in base/base-web-component.ts:212

  #### Parameters

  - ##### str: any

  #### Returns any

### preRender

- preRender(): void

- - Defined in base/base-web-component.ts:196

  #### Returns void

### remove

- remove(): void

- - Defined in base/base-web-component.ts:34

  #### Returns void

### removeState

- removeState(key: any): void

- - Defined in base/base-web-component.ts:170

  #### Parameters

  - ##### key: any

  #### Returns void

### render

- render(): void

- - Defined in base/base-web-component.ts:32

  #### Returns void

### setData

- setData(object: any, extend: any): void

- - Defined in base/base-web-component.ts:181

  #### Parameters

  - ##### object: any

  - ##### extend: any

  #### Returns void

### setState

- setState(state: any): void

- - Defined in base/base-web-component.ts:151

  #### Parameters

  - ##### state: any

  #### Returns void

### Static addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Inherited from HTMLElement.addEventListener

  Overrides Element.addEventListener

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4717

  #### Type parameters

  - #### K: keyof HTMLElementEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: HTMLElement, ev: HTMLElementEventMap[K]): any

      - #### Parameters

        - ##### this: HTMLElement

        - ##### ev: HTMLElementEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Inherited from HTMLElement.addEventListener

  Overrides Element.addEventListener

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4718

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### Static appendChild

- appendChild<T>(newChild: T): T

- Inherited from Node.appendChild

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8464

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  #### Returns T

### Static attachShadow

- attachShadow(shadowRootInitDict: ShadowRootInit): ShadowRoot

- Inherited from Element.attachShadow

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3668

  #### Parameters

  - ##### shadowRootInitDict: ShadowRootInit

  #### Returns ShadowRoot

### Static blur

- blur(): void

- Inherited from HTMLElement.blur

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4712

  #### Returns void

### Static click

- click(): void

- Inherited from HTMLElement.click

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4713

  #### Returns void

### Static cloneNode

- cloneNode(deep?: boolean): Node

- Inherited from Node.cloneNode

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8465

  #### Parameters

  - ##### Optional deep: boolean

  #### Returns Node

### Static closest

- closest<K>(selector: K): HTMLElementTagNameMap[K] | null
- closest<K>(selector: K): SVGElementTagNameMap[K] | null
- closest(selector: string): Element | null

- Inherited from Element.closest

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3655

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selector: K

  #### Returns HTMLElementTagNameMap[K] | null

- Inherited from Element.closest

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3656

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selector: K

  #### Returns SVGElementTagNameMap[K] | null

- Inherited from Element.closest

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3657

  #### Parameters

  - ##### selector: string

  #### Returns Element | null

### Static compareDocumentPosition

- compareDocumentPosition(other: Node): number

- Inherited from Node.compareDocumentPosition

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8466

  #### Parameters

  - ##### other: Node

  #### Returns number

### Static contains

- contains(child: Node): boolean

- Inherited from Node.contains

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8467

  #### Parameters

  - ##### child: Node

  #### Returns boolean

### Static dispatchEvent

- dispatchEvent(evt: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3728

  #### Parameters

  - ##### evt: Event

  #### Returns boolean

### Static dragDrop

- dragDrop(): boolean

- Inherited from HTMLElement.dragDrop

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4714

  #### Returns boolean

### Static focus

- focus(): void

- Inherited from HTMLElement.focus

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4715

  #### Returns void

### Static getAttribute

- getAttribute(name: string): string | null

- Inherited from Element.getAttribute

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3619

  #### Parameters

  - ##### name: string

  #### Returns string | null

### Static getAttributeNS

- getAttributeNS(namespaceURI: string, localName: string): string

- Inherited from Element.getAttributeNS

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3622

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns string

### Static getAttributeNode

- getAttributeNode(name: string): Attr | null

- Inherited from Element.getAttributeNode

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3620

  #### Parameters

  - ##### name: string

  #### Returns Attr | null

### Static getAttributeNodeNS

- getAttributeNodeNS(namespaceURI: string, localName: string): Attr | null

- Inherited from Element.getAttributeNodeNS

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3621

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns Attr | null

### Static getBoundingClientRect

- getBoundingClientRect(): ClientRect | DOMRect

- Inherited from Element.getBoundingClientRect

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3623

  #### Returns ClientRect | DOMRect

### Static getClientRects

- getClientRects(): ClientRectList | DOMRectList

- Inherited from Element.getClientRects

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3624

  #### Returns ClientRectList | DOMRectList

### Static getElementsByClassName

- getElementsByClassName(classNames: string): NodeListOf<Element>

- Inherited from Element.getElementsByClassName

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3653

  #### Parameters

  - ##### classNames: string

  #### Returns NodeListOf<Element>

### Static getElementsByTagName

- getElementsByTagName<K>(name: K): NodeListOf<HTMLElementTagNameMap[K]>
- getElementsByTagName<K>(name: K): NodeListOf<SVGElementTagNameMap[K]>
- getElementsByTagName(name: string): NodeListOf<Element>

- Inherited from Element.getElementsByTagName

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3625

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### name: K

  #### Returns NodeListOf<HTMLElementTagNameMap[K]>

- Inherited from Element.getElementsByTagName

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3626

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### name: K

  #### Returns NodeListOf<SVGElementTagNameMap[K]>

- Inherited from Element.getElementsByTagName

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3627

  #### Parameters

  - ##### name: string

  #### Returns NodeListOf<Element>

### Static getElementsByTagNameNS

- getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>
- getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>
- getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>

- Inherited from Element.getElementsByTagNameNS

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3628

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/1999/xhtml"

  - ##### localName: string

  #### Returns HTMLCollectionOf<HTMLElement>

- Inherited from Element.getElementsByTagNameNS

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3629

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### localName: string

  #### Returns HTMLCollectionOf<SVGElement>

- Inherited from Element.getElementsByTagNameNS

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3630

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns HTMLCollectionOf<Element>

### Static hasAttribute

- hasAttribute(name: string): boolean

- Inherited from Element.hasAttribute

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3631

  #### Parameters

  - ##### name: string

  #### Returns boolean

### Static hasAttributeNS

- hasAttributeNS(namespaceURI: string, localName: string): boolean

- Inherited from Element.hasAttributeNS

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3632

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns boolean

### Static hasAttributes

- hasAttributes(): boolean

- Inherited from Node.hasAttributes

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8468

  #### Returns boolean

### Static hasChildNodes

- hasChildNodes(): boolean

- Inherited from Node.hasChildNodes

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8469

  #### Returns boolean

### Static insertAdjacentElement

- insertAdjacentElement(position: InsertPosition, insertedElement: Element): Element | null

- Inherited from Element.insertAdjacentElement

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3665

  #### Parameters

  - ##### position: InsertPosition

  - ##### insertedElement: Element

  #### Returns Element | null

### Static insertAdjacentHTML

- insertAdjacentHTML(where: InsertPosition, html: string): void

- Inherited from Element.insertAdjacentHTML

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3666

  #### Parameters

  - ##### where: InsertPosition

  - ##### html: string

  #### Returns void

### Static insertAdjacentText

- insertAdjacentText(where: InsertPosition, text: string): void

- Inherited from Element.insertAdjacentText

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3667

  #### Parameters

  - ##### where: InsertPosition

  - ##### text: string

  #### Returns void

### Static insertBefore

- insertBefore<T>(newChild: T, refChild: Node | null): T

- Inherited from Node.insertBefore

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8470

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  - ##### refChild: Node | null

  #### Returns T

### Static isDefaultNamespace

- isDefaultNamespace(namespaceURI: string | null): boolean

- Inherited from Node.isDefaultNamespace

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8471

  #### Parameters

  - ##### namespaceURI: string | null

  #### Returns boolean

### Static isEqualNode

- isEqualNode(arg: Node): boolean

- Inherited from Node.isEqualNode

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8472

  #### Parameters

  - ##### arg: Node

  #### Returns boolean

### Static isSameNode

- isSameNode(other: Node): boolean

- Inherited from Node.isSameNode

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8473

  #### Parameters

  - ##### other: Node

  #### Returns boolean

### Static lookupNamespaceURI

- lookupNamespaceURI(prefix: string | null): string | null

- Inherited from Node.lookupNamespaceURI

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8474

  #### Parameters

  - ##### prefix: string | null

  #### Returns string | null

### Static lookupPrefix

- lookupPrefix(namespaceURI: string | null): string | null

- Inherited from Node.lookupPrefix

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8475

  #### Parameters

  - ##### namespaceURI: string | null

  #### Returns string | null

### Static matches

- matches(selector: string): boolean

- Inherited from Element.matches

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3654

  #### Parameters

  - ##### selector: string

  #### Returns boolean

### Static msGetInputContext

- msGetInputContext(): MSInputMethodContext

- Inherited from HTMLElement.msGetInputContext

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4716

  #### Returns MSInputMethodContext

### Static msGetRegionContent

- msGetRegionContent(): MSRangeCollection

- Inherited from Element.msGetRegionContent

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3633

  #### Returns MSRangeCollection

### Static msGetUntransformedBounds

- msGetUntransformedBounds(): ClientRect

- Inherited from Element.msGetUntransformedBounds

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3634

  #### Returns ClientRect

### Static msMatchesSelector

- msMatchesSelector(selectors: string): boolean

- Inherited from Element.msMatchesSelector

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3635

  #### Parameters

  - ##### selectors: string

  #### Returns boolean

### Static msReleasePointerCapture

- msReleasePointerCapture(pointerId: number): void

- Inherited from Element.msReleasePointerCapture

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3636

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### Static msSetPointerCapture

- msSetPointerCapture(pointerId: number): void

- Inherited from Element.msSetPointerCapture

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3637

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### Static msZoomTo

- msZoomTo(args: MsZoomToOptions): void

- Inherited from Element.msZoomTo

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3638

  #### Parameters

  - ##### args: MsZoomToOptions

  #### Returns void

### Static normalize

- normalize(): void

- Inherited from Node.normalize

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8476

  #### Returns void

### Static querySelector

- querySelector<K>(selectors: K): HTMLElementTagNameMap[K] | null
- querySelector<K>(selectors: K): SVGElementTagNameMap[K] | null
- querySelector<E>(selectors: string): E | null

- Inherited from NodeSelector.querySelector

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14168

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns HTMLElementTagNameMap[K] | null

- Inherited from NodeSelector.querySelector

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14169

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns SVGElementTagNameMap[K] | null

- Inherited from NodeSelector.querySelector

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14170

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns E | null

### Static querySelectorAll

- querySelectorAll<K>(selectors: K): NodeListOf<HTMLElementTagNameMap[K]>
- querySelectorAll<K>(selectors: K): NodeListOf<SVGElementTagNameMap[K]>
- querySelectorAll<E>(selectors: string): NodeListOf<E>

- Inherited from NodeSelector.querySelectorAll

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14171

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<HTMLElementTagNameMap[K]>

- Inherited from NodeSelector.querySelectorAll

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14172

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<SVGElementTagNameMap[K]>

- Inherited from NodeSelector.querySelectorAll

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14173

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns NodeListOf<E>

### Static releasePointerCapture

- releasePointerCapture(pointerId: number): void

- Inherited from Element.releasePointerCapture

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3639

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### Static remove

- remove(): void

- Inherited from ChildNode.remove

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13933

  #### Returns void

### Static removeAttribute

- removeAttribute(qualifiedName: string): void

- Inherited from Element.removeAttribute

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3640

  #### Parameters

  - ##### qualifiedName: string

  #### Returns void

### Static removeAttributeNS

- removeAttributeNS(namespaceURI: string, localName: string): void

- Inherited from Element.removeAttributeNS

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3642

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns void

### Static removeAttributeNode

- removeAttributeNode(oldAttr: Attr): Attr

- Inherited from Element.removeAttributeNode

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3641

  #### Parameters

  - ##### oldAttr: Attr

  #### Returns Attr

### Static removeChild

- removeChild<T>(oldChild: T): T

- Inherited from Node.removeChild

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8477

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### oldChild: T

  #### Returns T

### Static removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Inherited from HTMLElement.removeEventListener

  Overrides Element.removeEventListener

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4719

  #### Type parameters

  - #### K: keyof HTMLElementEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: HTMLElement, ev: HTMLElementEventMap[K]): any

      - #### Parameters

        - ##### this: HTMLElement

        - ##### ev: HTMLElementEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Inherited from HTMLElement.removeEventListener

  Overrides Element.removeEventListener

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4720

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### Static replaceChild

- replaceChild<T>(newChild: Node, oldChild: T): T

- Inherited from Node.replaceChild

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8478

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: Node

  - ##### oldChild: T

  #### Returns T

### Static requestFullscreen

- requestFullscreen(): void

- Inherited from Element.requestFullscreen

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3643

  #### Returns void

### Static requestPointerLock

- requestPointerLock(): void

- Inherited from Element.requestPointerLock

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3644

  #### Returns void

### Static scroll

- scroll(options?: ScrollToOptions): void
- scroll(x: number, y: number): void

- Inherited from Element.scroll

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3659

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- Inherited from Element.scroll

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3660

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### Static scrollBy

- scrollBy(options?: ScrollToOptions): void
- scrollBy(x: number, y: number): void

- Inherited from Element.scrollBy

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3663

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- Inherited from Element.scrollBy

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3664

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### Static scrollIntoView

- scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void

- Inherited from Element.scrollIntoView

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3658

  #### Parameters

  - ##### Optional arg: boolean | ScrollIntoViewOptions

  #### Returns void

### Static scrollTo

- scrollTo(options?: ScrollToOptions): void
- scrollTo(x: number, y: number): void

- Inherited from Element.scrollTo

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3661

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- Inherited from Element.scrollTo

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3662

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### Static setAttribute

- setAttribute(name: string, value: string): void

- Inherited from Element.setAttribute

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3645

  #### Parameters

  - ##### name: string

  - ##### value: string

  #### Returns void

### Static setAttributeNS

- setAttributeNS(namespaceURI: string, qualifiedName: string, value: string): void

- Inherited from Element.setAttributeNS

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3648

  #### Parameters

  - ##### namespaceURI: string

  - ##### qualifiedName: string

  - ##### value: string

  #### Returns void

### Static setAttributeNode

- setAttributeNode(newAttr: Attr): Attr

- Inherited from Element.setAttributeNode

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3646

  #### Parameters

  - ##### newAttr: Attr

  #### Returns Attr

### Static setAttributeNodeNS

- setAttributeNodeNS(newAttr: Attr): Attr

- Inherited from Element.setAttributeNodeNS

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3647

  #### Parameters

  - ##### newAttr: Attr

  #### Returns Attr

### Static setPointerCapture

- setPointerCapture(pointerId: number): void

- Inherited from Element.setPointerCapture

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3649

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### Static webkitMatchesSelector

- webkitMatchesSelector(selectors: string): boolean

- Inherited from Element.webkitMatchesSelector

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3650

  #### Parameters

  - ##### selectors: string

  #### Returns boolean

### Static webkitRequestFullScreen

- webkitRequestFullScreen(): void

- Inherited from Element.webkitRequestFullScreen

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3652

  #### Returns void

### Static webkitRequestFullscreen

- webkitRequestFullscreen(): void

- Inherited from Element.webkitRequestFullscreen

  - Defined in /Users/bobstoute/BillingHouse/@ema/components/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3651

  #### Returns void